librevenge::RVNGDummyPresentationGenerator Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
librevenge::RVNGDummyPresentationGenerator Class Reference

`#include <RVNGDummyPresentationGenerator.h>`

Inheritance diagram for librevenge::RVNGDummyPresentationGenerator:

## Public Member Functions
| RVNGDummyPresentationGenerator ()
| ~RVNGDummyPresentationGenerator ()
void | startDocument (const RVNGPropertyList &propList)
void | endDocument ()
void | setDocumentMetaData (const RVNGPropertyList &propList)
| Called when all document metadata should be set.
void | defineEmbeddedFont (const RVNGPropertyList &propList)
| Called when an embedded font should be defined.
void | startSlide (const RVNGPropertyList &propList)
void | endSlide ()
void | startMasterSlide (const RVNGPropertyList &propList)
void | endMasterSlide ()
void | setSlideTransition (const RVNGPropertyList &propList)
| Called when a transition should be added to the current slide.
void | startLayer (const RVNGPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | openGroup (const RVNGPropertyList &propList)
void | closeGroup ()
void | setStyle (const RVNGPropertyList &propList)
void | drawRectangle (const RVNGPropertyList &propList)
void | drawEllipse (const RVNGPropertyList &propList)
void | drawPolyline (const RVNGPropertyList &propList)
void | drawPolygon (const RVNGPropertyList &propList)
void | drawPath (const RVNGPropertyList &propList)
void | drawGraphicObject (const RVNGPropertyList &propList)
| Called when a binary/raster object should be inserted.
void | drawConnector (const RVNGPropertyList &propList)
| Draw a connector.
void | startTextObject (const RVNGPropertyList &propList)
| Start a text object.
void | endTextObject ()
| End a text object.
void | defineParagraphStyle (const RVNGPropertyList &propList)
void | openParagraph (const RVNGPropertyList &propList)
| Called when a new paragraph is opened.
void | closeParagraph ()
| Called when a paragraph is closed.
void | defineCharacterStyle (const RVNGPropertyList &propList)
void | openSpan (const RVNGPropertyList &propList)
| Called when a text span is opened.
void | closeSpan ()
| Called when a text span is closed.
void | openLink (const RVNGPropertyList &propList)
| Called when a link should be opened.
void | closeLink ()
| Called when the current link is closed.
void | insertTab ()
| Called when a TAB character should be inserted.
void | insertSpace ()
| Called when an explicit space should be inserted.
void | insertText (const RVNGString &str)
| Called when a string of text should be inserted.
void | insertLineBreak ()
| Called when a line break should be inserted.
void | insertField (const RVNGPropertyList &propList)
| Called when a field should be inserted.
void | openOrderedListLevel (const RVNGPropertyList &propList)
| Called when a new ordered list level should be opened.
void | openUnorderedListLevel (const RVNGPropertyList &propList)
| Called when a new unordered list level should be opened.
void | closeOrderedListLevel ()
| Called when an unordered list level should be closed.
void | closeUnorderedListLevel ()
| Called when an ununordered list level should be closed.
void | openListElement (const RVNGPropertyList &propList)
| Called when a list element should be opened.
void | closeListElement ()
| Called when a list element should be closed.
void | startTableObject (const RVNGPropertyList &propList)
| Called when a table should be opened.
void | openTableRow (const RVNGPropertyList &propList)
| Called when a new table row is opened.
void | closeTableRow ()
| Called when the current table row is closed.
void | openTableCell (const RVNGPropertyList &propList)
| Called when a new table cell is opened.
void | closeTableCell ()
| Called when the current table cell is closed.
void | insertCoveredTableCell (const RVNGPropertyList &propList)
| Called when a covered (spanned by another cell in the table) table cell is opened.
void | endTableObject ()
| Called when the current table is closed.
void | startComment (const RVNGPropertyList &propList)
| Start a comment.
void | endComment ()
| End a comment.
void | startNotes (const RVNGPropertyList &propList)
| Start slide notes.
void | endNotes ()
| End slide notes.
void | defineChartStyle (const RVNGPropertyList &propList)
void | openChart (const RVNGPropertyList &propList)
| Called when a chart should be opened.
void | closeChart ()
| Called when a chart should be closed.
void | openChartTextObject (const RVNGPropertyList &propList)
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened.
void | closeChartTextObject ()
| Called when a chart text zone:legend/title/subtitle/footer should be closed.
void | openChartPlotArea (const RVNGPropertyList &propList)
| Called when a chart plot area should be opened.
void | closeChartPlotArea ()
| Called when a chart plot arre should be closed.
void | insertChartAxis (const RVNGPropertyList &propList)
| Called when a axis should be add in a plot area.
void | openChartSeries (const librevenge::RVNGPropertyList &propList)
| Called when a serie should be opened (in a plot area)
void | closeChartSeries ()
| Called when a serie should be closed (in a plot area)
void | openAnimationSequence (const RVNGPropertyList &propList)
| Called when a set of animations should be applied one after another.
void | closeAnimationSequence ()
void | openAnimationGroup (const RVNGPropertyList &propList)
| Called when a set of animations should be applied in parallel.
void | closeAnimationGroup ()
void | openAnimationIteration (const RVNGPropertyList &propList)
void | closeAnimationIteration ()
void | insertMotionAnimation (const RVNGPropertyList &propList)
| Insert an animation that moves the target object along a specified path.
void | insertColorAnimation (const RVNGPropertyList &propList)
| Insert an animation that changes color of the target object.
void | insertAnimation (const RVNGPropertyList &propList)
| Insert a generic animation.
void | insertEffect (const RVNGPropertyList &propList)
| Set one-time animation effect on the target object.
Public Member Functions inherited from librevenge::RVNGPresentationInterface
virtual | ~RVNGPresentationInterface ()
virtual void | startDocument (const RVNGPropertyList &propList)=0
virtual void | endDocument ()=0
virtual void | setDocumentMetaData (const RVNGPropertyList &propList)=0
| Called when all document metadata should be set.
virtual void | defineEmbeddedFont (const RVNGPropertyList &propList)=0
| Called when an embedded font should be defined.
virtual void | startSlide (const RVNGPropertyList &propList)=0
virtual void | endSlide ()=0
virtual void | startMasterSlide (const RVNGPropertyList &propList)=0
virtual void | endMasterSlide ()=0
virtual void | setStyle (const RVNGPropertyList &propList)=0
virtual void | setSlideTransition (const RVNGPropertyList &propList)=0
| Called when a transition should be added to the current slide.
virtual void | startLayer (const RVNGPropertyList &propList)=0
virtual void | endLayer ()=0
virtual void | startEmbeddedGraphics (const RVNGPropertyList &propList)=0
virtual void | endEmbeddedGraphics ()=0
virtual void | openGroup (const RVNGPropertyList &propList)=0
virtual void | closeGroup ()=0
virtual void | drawRectangle (const RVNGPropertyList &propList)=0
virtual void | drawEllipse (const RVNGPropertyList &propList)=0
virtual void | drawPolygon (const RVNGPropertyList &propList)=0
virtual void | drawPolyline (const RVNGPropertyList &propList)=0
virtual void | drawPath (const RVNGPropertyList &propList)=0
virtual void | drawGraphicObject (const RVNGPropertyList &propList)=0
| Called when a binary/raster object should be inserted.
virtual void | drawConnector (const RVNGPropertyList &propList)=0
| Draw a connector.
virtual void | startTextObject (const RVNGPropertyList &propList)=0
| Start a text object.
virtual void | endTextObject ()=0
| End a text object.
virtual void | insertTab ()=0
| Called when a TAB character should be inserted.
virtual void | insertSpace ()=0
| Called when an explicit space should be inserted.
virtual void | insertText (const RVNGString &text)=0
| Called when a string of text should be inserted.
virtual void | insertLineBreak ()=0
| Called when a line break should be inserted.
virtual void | insertField (const RVNGPropertyList &propList)=0
| Called when a field should be inserted.
virtual void | openOrderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new ordered list level should be opened.
virtual void | openUnorderedListLevel (const RVNGPropertyList &propList)=0
| Called when a new unordered list level should be opened.
virtual void | closeOrderedListLevel ()=0
| Called when an unordered list level should be closed.
virtual void | closeUnorderedListLevel ()=0
| Called when an ununordered list level should be closed.
virtual void | openListElement (const RVNGPropertyList &propList)=0
| Called when a list element should be opened.
virtual void | closeListElement ()=0
| Called when a list element should be closed.
virtual void | defineParagraphStyle (const RVNGPropertyList &propList)=0
virtual void | openParagraph (const RVNGPropertyList &propList)=0
| Called when a new paragraph is opened.
virtual void | closeParagraph ()=0
| Called when a paragraph is closed.
virtual void | defineCharacterStyle (const RVNGPropertyList &propList)=0
virtual void | openSpan (const RVNGPropertyList &propList)=0
| Called when a text span is opened.
virtual void | closeSpan ()=0
| Called when a text span is closed.
virtual void | openLink (const RVNGPropertyList &propList)=0
| Called when a link should be opened.
virtual void | closeLink ()=0
| Called when the current link is closed.
virtual void | startTableObject (const RVNGPropertyList &propList)=0
| Called when a table should be opened.
virtual void | openTableRow (const RVNGPropertyList &propList)=0
| Called when a new table row is opened.
virtual void | closeTableRow ()=0
| Called when the current table row is closed.
virtual void | openTableCell (const RVNGPropertyList &propList)=0
| Called when a new table cell is opened.
virtual void | closeTableCell ()=0
| Called when the current table cell is closed.
virtual void | insertCoveredTableCell (const RVNGPropertyList &propList)=0
| Called when a covered (spanned by another cell in the table) table cell is opened.
virtual void | endTableObject ()=0
| Called when the current table is closed.
virtual void | startComment (const RVNGPropertyList &propList)=0
| Start a comment.
virtual void | endComment ()=0
| End a comment.
virtual void | startNotes (const RVNGPropertyList &propList)=0
| Start slide notes.
virtual void | endNotes ()=0
| End slide notes.
virtual void | defineChartStyle (const RVNGPropertyList &propList)=0
virtual void | openChart (const RVNGPropertyList &propList)=0
| Called when a chart should be opened.
virtual void | closeChart ()=0
| Called when a chart should be closed.
virtual void | openChartTextObject (const RVNGPropertyList &propList)=0
| Called when a chart text zone:label/legend/title/subtitle/footer should be opened.
virtual void | closeChartTextObject ()=0
| Called when a chart text zone:legend/title/subtitle/footer should be closed.
virtual void | openChartPlotArea (const RVNGPropertyList &propList)=0
| Called when a chart plot area should be opened.
virtual void | closeChartPlotArea ()=0
| Called when a chart plot arre should be closed.
virtual void | insertChartAxis (const RVNGPropertyList &propList)=0
| Called when a axis should be add in a plot area.
virtual void | openChartSeries (const librevenge::RVNGPropertyList &propList)=0
| Called when a serie should be opened (in a plot area)
virtual void | closeChartSeries ()=0
| Called when a serie should be closed (in a plot area)
virtual void | openAnimationSequence (const RVNGPropertyList &propList)=0
| Called when a set of animations should be applied one after another.
virtual void | closeAnimationSequence ()=0
virtual void | openAnimationGroup (const RVNGPropertyList &propList)=0
| Called when a set of animations should be applied in parallel.
virtual void | closeAnimationGroup ()=0
virtual void | openAnimationIteration (const RVNGPropertyList &propList)=0
virtual void | closeAnimationIteration ()=0
virtual void | insertMotionAnimation (const RVNGPropertyList &propList)=0
| Insert an animation that moves the target object along a specified path.
virtual void | insertColorAnimation (const RVNGPropertyList &propList)=0
| Insert an animation that changes color of the target object.
virtual void | insertAnimation (const RVNGPropertyList &propList)=0
| Insert a generic animation.
virtual void | insertEffect (const RVNGPropertyList &propList)=0
| Set one-time animation effect on the target object.

## Private Member Functions
| RVNGDummyPresentationGenerator (const RVNGDummyPresentationGenerator &other)
RVNGDummyPresentationGenerator & | operator= (const RVNGDummyPresentationGenerator &other)

## Constructor & Destructor Documentation

## ◆ RVNGDummyPresentationGenerator() [1/2]

librevenge::RVNGDummyPresentationGenerator::RVNGDummyPresentationGenerator | ( | const RVNGDummyPresentationGenerator & | other | ) |
| private

## ◆ RVNGDummyPresentationGenerator() [2/2]

librevenge::RVNGDummyPresentationGenerator::RVNGDummyPresentationGenerator | ( |  | ) |

## ◆ ~RVNGDummyPresentationGenerator()

librevenge::RVNGDummyPresentationGenerator::~RVNGDummyPresentationGenerator | ( |  | ) |

## Member Function Documentation

## ◆ closeAnimationGroup()

void librevenge::RVNGDummyPresentationGenerator::closeAnimationGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ closeAnimationIteration()

void librevenge::RVNGDummyPresentationGenerator::closeAnimationIteration | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ closeAnimationSequence()

void librevenge::RVNGDummyPresentationGenerator::closeAnimationSequence | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ closeChart()

void librevenge::RVNGDummyPresentationGenerator::closeChart | ( |  | ) |
| virtual

Called when a chart should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeChartPlotArea()

void librevenge::RVNGDummyPresentationGenerator::closeChartPlotArea | ( |  | ) |
| virtual

Called when a chart plot arre should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeChartSeries()

void librevenge::RVNGDummyPresentationGenerator::closeChartSeries | ( |  | ) |
| virtual

Called when a serie should be closed (in a plot area)

Implements librevenge::RVNGPresentationInterface.

## ◆ closeChartTextObject()

void librevenge::RVNGDummyPresentationGenerator::closeChartTextObject | ( |  | ) |
| virtual

Called when a chart text zone:legend/title/subtitle/footer should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeGroup()

void librevenge::RVNGDummyPresentationGenerator::closeGroup | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ closeLink()

void librevenge::RVNGDummyPresentationGenerator::closeLink | ( |  | ) |
| virtual

Called when the current link is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeListElement()

void librevenge::RVNGDummyPresentationGenerator::closeListElement | ( |  | ) |
| virtual

Called when a list element should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeOrderedListLevel()

void librevenge::RVNGDummyPresentationGenerator::closeOrderedListLevel | ( |  | ) |
| virtual

Called when an unordered list level should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeParagraph()

void librevenge::RVNGDummyPresentationGenerator::closeParagraph | ( |  | ) |
| virtual

Called when a paragraph is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeSpan()

void librevenge::RVNGDummyPresentationGenerator::closeSpan | ( |  | ) |
| virtual

Called when a text span is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeTableCell()

void librevenge::RVNGDummyPresentationGenerator::closeTableCell | ( |  | ) |
| virtual

Called when the current table cell is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeTableRow()

void librevenge::RVNGDummyPresentationGenerator::closeTableRow | ( |  | ) |
| virtual

Called when the current table row is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ closeUnorderedListLevel()

void librevenge::RVNGDummyPresentationGenerator::closeUnorderedListLevel | ( |  | ) |
| virtual

Called when an ununordered list level should be closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ defineCharacterStyle()

void librevenge::RVNGDummyPresentationGenerator::defineCharacterStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ defineChartStyle()

void librevenge::RVNGDummyPresentationGenerator::defineChartStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ defineEmbeddedFont()

void librevenge::RVNGDummyPresentationGenerator::defineEmbeddedFont | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when an embedded font should be defined.

Parameters

  propList | A set of properties that specify the font. May contain: `librevenge:name` The name of the font `librevenge:mime-type` The mimetype of the font `office:binary-data` The font data `librevenge:replacement-objects` A property list vector containing alternative formats of the font. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data

Implements librevenge::RVNGPresentationInterface.

## ◆ defineParagraphStyle()

void librevenge::RVNGDummyPresentationGenerator::defineParagraphStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ drawConnector()

void librevenge::RVNGDummyPresentationGenerator::drawConnector | ( | const RVNGPropertyList & | propList | ) |
| virtual

Draw a connector.

The connector will be typically between two shapes, but free-standing connectors are allowed too.

Parameters

  propList | Defines a set of properties for the object. May contain: `draw:end-shape` The `ID` of the shape attached at the end. Should not be present if the connector's end is not attached to any object. `draw:start-shape` The `ID` of the shape attached at the beginning. Should not be present if the connector's start is not attached to any object. `svg:d` The connector's geometric path. This is optional; if missing, the consumer is free to render it any way it likes. `svg:x1` The `X` coordinate of the start point. `svg:y1` The `Y` coordinate of the start point. `svg:x2` The `X` coordinate of the end point. `svg:y2` The `Y` coordinate of the end point.

Implements librevenge::RVNGPresentationInterface.

## ◆ drawEllipse()

void librevenge::RVNGDummyPresentationGenerator::drawEllipse | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ drawGraphicObject()

void librevenge::RVNGDummyPresentationGenerator::drawGraphicObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a binary/raster object should be inserted.

Parameters

  propList | Defines a set of properties for the object. May contain: `librevenge:mime-type` The mimetype of the object `office:binary-data` The object data `librevenge:replacement-objects` A property list vector containing alternative representations of the content. Every element is a property list containing: `librevenge:mime-type` The mimetype of the replacement object `office:binary-data` The replacement object data `librevenge:replacement-text` A string containing a text representation of the content.

Note
  to insert a MathMl file, set the mimetype value to "application/mathml-presentation+xml" or "application/mathml+xml".

Implements librevenge::RVNGPresentationInterface.

## ◆ drawPath()

void librevenge::RVNGDummyPresentationGenerator::drawPath | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ drawPolygon()

void librevenge::RVNGDummyPresentationGenerator::drawPolygon | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ drawPolyline()

void librevenge::RVNGDummyPresentationGenerator::drawPolyline | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ drawRectangle()

void librevenge::RVNGDummyPresentationGenerator::drawRectangle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endComment()

void librevenge::RVNGDummyPresentationGenerator::endComment | ( |  | ) |
| virtual

End a comment.

Implements librevenge::RVNGPresentationInterface.

## ◆ endDocument()

void librevenge::RVNGDummyPresentationGenerator::endDocument | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endEmbeddedGraphics()

void librevenge::RVNGDummyPresentationGenerator::endEmbeddedGraphics | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endLayer()

void librevenge::RVNGDummyPresentationGenerator::endLayer | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endMasterSlide()

void librevenge::RVNGDummyPresentationGenerator::endMasterSlide | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endNotes()

void librevenge::RVNGDummyPresentationGenerator::endNotes | ( |  | ) |
| virtual

End slide notes.

Implements librevenge::RVNGPresentationInterface.

## ◆ endSlide()

void librevenge::RVNGDummyPresentationGenerator::endSlide | ( |  | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ endTableObject()

void librevenge::RVNGDummyPresentationGenerator::endTableObject | ( |  | ) |
| virtual

Called when the current table is closed.

Implements librevenge::RVNGPresentationInterface.

## ◆ endTextObject()

void librevenge::RVNGDummyPresentationGenerator::endTextObject | ( |  | ) |
| virtual

End a text object.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertAnimation()

void librevenge::RVNGDummyPresentationGenerator::insertAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert a generic animation.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertChartAxis()

void librevenge::RVNGDummyPresentationGenerator::insertChartAxis | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a axis should be add in a plot area.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertColorAnimation()

void librevenge::RVNGDummyPresentationGenerator::insertColorAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert an animation that changes color of the target object.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertCoveredTableCell()

void librevenge::RVNGDummyPresentationGenerator::insertCoveredTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a covered (spanned by another cell in the table) table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned

Implements librevenge::RVNGPresentationInterface.

## ◆ insertEffect()

void librevenge::RVNGDummyPresentationGenerator::insertEffect | ( | const RVNGPropertyList & | propList | ) |
| virtual

Set one-time animation effect on the target object.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertField()

void librevenge::RVNGDummyPresentationGenerator::insertField | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a field should be inserted.

Field types may include:

- `librevenge:field-type` field types may include:
  1. `text:page-number` Current page number
  2. `text:page-count` Total # of pages in document
- `style:num-format` Type of page number (for page number)

Implements librevenge::RVNGPresentationInterface.

## ◆ insertLineBreak()

void librevenge::RVNGDummyPresentationGenerator::insertLineBreak | ( |  | ) |
| virtual

Called when a line break should be inserted.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertMotionAnimation()

void librevenge::RVNGDummyPresentationGenerator::insertMotionAnimation | ( | const RVNGPropertyList & | propList | ) |
| virtual

Insert an animation that moves the target object along a specified path.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertSpace()

void librevenge::RVNGDummyPresentationGenerator::insertSpace | ( |  | ) |
| virtual

Called when an explicit space should be inserted.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertTab()

void librevenge::RVNGDummyPresentationGenerator::insertTab | ( |  | ) |
| virtual

Called when a TAB character should be inserted.

Implements librevenge::RVNGPresentationInterface.

## ◆ insertText()

void librevenge::RVNGDummyPresentationGenerator::insertText | ( | const RVNGString & | text | ) |
| virtual

Called when a string of text should be inserted.

Parameters

  text | A textbuffer encoded as a UTF8 string

Implements librevenge::RVNGPresentationInterface.

## ◆ openAnimationGroup()

void librevenge::RVNGDummyPresentationGenerator::openAnimationGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a set of animations should be applied in parallel.

Implements librevenge::RVNGPresentationInterface.

## ◆ openAnimationIteration()

void librevenge::RVNGDummyPresentationGenerator::openAnimationIteration | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ openAnimationSequence()

void librevenge::RVNGDummyPresentationGenerator::openAnimationSequence | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a set of animations should be applied one after another.

Implements librevenge::RVNGPresentationInterface.

## ◆ openChart()

void librevenge::RVNGDummyPresentationGenerator::openChart | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart should be opened.

Parameters

  propList | Property list for the sheet. May contain: `librevenge:name` Determines the sheet name

Implements librevenge::RVNGPresentationInterface.

## ◆ openChartPlotArea()

void librevenge::RVNGDummyPresentationGenerator::openChartPlotArea | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart plot area should be opened.

Implements librevenge::RVNGPresentationInterface.

## ◆ openChartSeries()

void librevenge::RVNGDummyPresentationGenerator::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Called when a serie should be opened (in a plot area)

Implements librevenge::RVNGPresentationInterface.

## ◆ openChartTextObject()

void librevenge::RVNGDummyPresentationGenerator::openChartTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a chart text zone:label/legend/title/subtitle/footer should be opened.

Implements librevenge::RVNGPresentationInterface.

## ◆ openGroup()

void librevenge::RVNGDummyPresentationGenerator::openGroup | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ openLink()

void librevenge::RVNGDummyPresentationGenerator::openLink | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a link should be opened.

Parameters

  propList | Defines a set of properties for the link. May contain: `xlink:type` . `xlink:href` .

Implements librevenge::RVNGPresentationInterface.

## ◆ openListElement()

void librevenge::RVNGDummyPresentationGenerator::openListElement | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a list element should be opened.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGPresentationInterface.

## ◆ openOrderedListLevel()

void librevenge::RVNGDummyPresentationGenerator::openOrderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new ordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `style:num-format` Type of list `style:num-prefix` Text that comes before the number in the list `style:num-suffix` Text that comes after the number in the list `text:start-value` The starting number of the list `text:min-label-width` The distance between the list label and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGPresentationInterface.

## ◆ openParagraph()

void librevenge::RVNGDummyPresentationGenerator::openParagraph | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new paragraph is opened.

This (or openListElement) will always be called before any text or span is placed into the document.

Parameters

  propList | Property list for the paragraph. May contain: `fo:text-align` The justification of this paragraph (left, center, end, full, or justify) `fo:margin-left` The left indentation of this paragraph, in inches `fo:margin-right` The right indentation of this paragraph, in inches `fo:margin-top` The amount of extra spacing to be placed before the paragraph, in inches `fo:margin-bottom` The amount of extra spacing to be placed after the paragraph, in inches `fo:text-indent` The indentation of first line, in inches (difference relative to margin-left) `fo:line-height` The amount of spacing between lines, in number of lines (1.0 is single spacing) `fo:break-before` Whether this paragraph should be placed in a new column or page (the value is set to column or page if so) `librevenge:tab-stops` List of tabstop definitions for the paragraph. If the list is empty, default tabstop definition should be used. Each tab stop may contain: `style:type` Type of tab (left, right, center, or char) `style:char` Alingnment character for char aligned tabs `style:leader-text` The leader character `style:position` Position of the tab

Implements librevenge::RVNGPresentationInterface.

## ◆ openSpan()

void librevenge::RVNGDummyPresentationGenerator::openSpan | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a text span is opened.

Parameters

  propList | Property list for the span. May contain: `fo:font-style` Font style (italic or normal) `fo:font-weight` Font style (bold or normal) `style:text-line-through-type` (none, double or single, if present) `style:text-line-through-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-underline-type` (none, double or single, if present) `style:text-underline-style` (solid, dotted, dash, long-dash, dot-dash, dot-dot-dash or wave, if present) `style:text-outline` (true or false) `fo:font-variant` (small-caps, if present) `style:font-name` The name of the font used in the span, a text string in ascii `fo:font-size` The size of the font used in the span, in points (72 points per inch) `fo:color` The color of the font used in the span (encoded in hex: #RRGGBB) `fo:background-color` The background color of the text in the span (encoded in hex: #RRGGBB) `style:text-blinking` Whether the text should blink (true or false) `fo:text-shadow\n` `fo:language\n` \ The language of the text in the span, a valid language code according to ISO 639

Implements librevenge::RVNGPresentationInterface.

## ◆ openTableCell()

void librevenge::RVNGDummyPresentationGenerator::openTableCell | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table cell is opened.

Parameters

  propList | Property list for the table cell. May contain: `librevenge:column` Number of the column in which the cell is positioned `librevenge:row` Number of the row in which the cell is positioned `table:number-columns-spanned` Number of columns that the cell spans `table:number-rows-spanned` Number of rows that the cell spans `fo:border-left` Properties of the left border of the cell `fo:border-right` Properties of the right border of the cell `fo:border-top` Properties of the top border of the cell `fo:border-bottom` Properties of the bottom border of the cell `fo:background-color` Color of the cell (encoded in hex: #RRGGBB) `style:vertical-align` Vertical alignment of the content in the cell (top, middle, or bottom)

Implements librevenge::RVNGPresentationInterface.

## ◆ openTableRow()

void librevenge::RVNGDummyPresentationGenerator::openTableRow | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new table row is opened.

Parameters

  propList | Defines a set of properties for the table row. May contain: `style:row-height` The row's height, in inches `style:min-row-height` The row's minimum height, in inches `librevenge:is-header-row` This row contains headings of columns and should repeat at every page (for tables that span several pages)

Implements librevenge::RVNGPresentationInterface.

## ◆ openUnorderedListLevel()

void librevenge::RVNGDummyPresentationGenerator::openUnorderedListLevel | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a new unordered list level should be opened.

Parameters

  propList | Defines a set of properties for the list level. May contain: `librevenge:list-id` A unique integer identifier for the list `librevenge:level` The level of the list in the hierarchy `text:bullet-char` The string that should be used as a bullet `text:min-label-width` The distance between the bullet and the actual text, stored in inches `text:space-before` The indentation level of the lists, stored in inches

Implements librevenge::RVNGPresentationInterface.

## ◆ operator=()

RVNGDummyPresentationGenerator & librevenge::RVNGDummyPresentationGenerator::operator= | ( | const RVNGDummyPresentationGenerator & | other | ) |
| private

## ◆ setDocumentMetaData()

void librevenge::RVNGDummyPresentationGenerator::setDocumentMetaData | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when all document metadata should be set.

This is always the first callback made.

Parameters

  propList | Property list for the metadata. May contain: `dc:creator` `dc:language` The document's keywords `dc:publisher` The document's publisher `dc:source` `dc:subject` The document's subject `dc:type` The document's type `dcterms:available` Date when the document was completed `dcterms:issued:` Date of the version of the document `librevenge:abstract` Abstract of the document's contents `librevenge:account` Account `librevenge:address` Address `librevenge:attachments` `librevenge:authorization` `librevenge:bill-to` `librevenge:blind-copy` `librevenge:carbon-copy` `librevenge:checked-by` `librevenge:client` `librevenge:comments` `librevenge:department` `librevenge:descriptive-name` The descriptive name for the document `librevenge:descriptive-type` The descriptive type for the document `librevenge:destination` `librevenge:disposition` `librevenge:division` `librevenge:document-number` `librevenge:editor` `librevenge:forward-to` `librevenge:group` `librevenge:mail-stop` `librevenge:matter` `librevenge:office` `librevenge:owner` `librevenge:project` `librevenge:purpose` `librevenge:received-from` `librevenge:recorded-by` `librevenge:recorded-date` Date when the document was recorded `librevenge:reference` `librevenge:revision-notes` `librevenge:revision-number` `librevenge:section` `librevenge:security` `librevenge:status` `librevenge:telephone-number` `librevenge:version-notes` `librevenge:version-number` `meta:creation-date` Document creation date `meta:initial-creator` The document's author `meta:keyword` The document's keywords ``

Implements librevenge::RVNGPresentationInterface.

## ◆ setSlideTransition()

void librevenge::RVNGDummyPresentationGenerator::setSlideTransition | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a transition should be added to the current slide.

Parameters

  propList | Property list for the metadata. May contain: `smil:type` Type of the transition. `smil:subtype` Subtype of the transition. `smil:dur` Duration of the transition. `smil:startProgress` The amount of progress through the transition at which to begin execution. Value must be in the range [0.0, 1.0]. `smil:endProgress` The amount of progress through the transition at which to end execution. Value must be in the range [0.0, 1.0].

Implements librevenge::RVNGPresentationInterface.

## ◆ setStyle()

void librevenge::RVNGDummyPresentationGenerator::setStyle | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startComment()

void librevenge::RVNGDummyPresentationGenerator::startComment | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start a comment.

Implements librevenge::RVNGPresentationInterface.

## ◆ startDocument()

void librevenge::RVNGDummyPresentationGenerator::startDocument | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startEmbeddedGraphics()

void librevenge::RVNGDummyPresentationGenerator::startEmbeddedGraphics | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startLayer()

void librevenge::RVNGDummyPresentationGenerator::startLayer | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startMasterSlide()

void librevenge::RVNGDummyPresentationGenerator::startMasterSlide | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startNotes()

void librevenge::RVNGDummyPresentationGenerator::startNotes | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start slide notes.

Implements librevenge::RVNGPresentationInterface.

## ◆ startSlide()

void librevenge::RVNGDummyPresentationGenerator::startSlide | ( | const RVNGPropertyList & | propList | ) |
| virtual

Implements librevenge::RVNGPresentationInterface.

## ◆ startTableObject()

void librevenge::RVNGDummyPresentationGenerator::startTableObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Called when a table should be opened.

Parameters

  propList | Defines a set of properties for the table. May contain: `table:align` The alignment (left, right, center, or margins) `fo:margin-left` The left indentation of the table, in inches `fo:margin-right` The right indentation of the table, in inches `style:width` Total width of the table, in inches `fo:break-before` Whether this table should be placed in a new column or page (the value is set to column or page if so) `librevenge:table-columns` Column definitions for the table. May contain `style:column-width` Width of a column, in inches

Implements librevenge::RVNGPresentationInterface.

## ◆ startTextObject()

void librevenge::RVNGDummyPresentationGenerator::startTextObject | ( | const RVNGPropertyList & | propList | ) |
| virtual

Start a text object.

Implements librevenge::RVNGPresentationInterface.

The documentation for this class was generated from the following files:

- RVNGDummyPresentationGenerator.h
- RVNGDummyPresentationGenerator.cpp